/*
	### SOLARIS
	Interface
*/


/* ## Console ## */

#console {
	top: 0px;
	left: 0px;
	position: absolute;
	width: 100%;
	z-index: 9999;
	background: white;
	color: black;
	font-size: 14px;
	font-family: "Courier New", Courier, monospace;
	padding: 5px 0 5px 0;
}

#console h1, #console h2, #console a {
	font-size: 14px;
	font-weight: bold;
	text-transform: uppercase;
	color: black;
}

#console h1, #console h2 {
	padding: 0 15px 0 15px;
	float: left;
}

#console a {
	float: right;
	margin: 0 35px 0 0;
}

#console a:hover {
	background: black;
	color: white;
}

#console ul#log {
	clear: both;
	margin: 10px 0 0 0;
	padding: 0 15px 0 15px;
	list-style: none;
	overflow: auto;
	height: 120px;
}

#console ul#log li {
}
















/* Generic */

#page {
	margin: 0 auto;
	width: 550px;
}

.subpage .element {
	height: 150px;
}

.window_ontop {
	z-index: 1000;
}

#shade {
	position: fixed;
	top: 0px;
	left: 0px;
	background: black;
	z-index: 999;
}

/* # Box # */

.box {
	padding-bottom: 25px;
}

.box_black .element, .box_white .element {
}

.box_black .element, .box_black h1 {
	background-color: black;
	color: white;
}

.box_white .element, .box_white h1 {
	background-color: white;
	color: black;
}

.box_black a {
	color: white;
}

.box_white a {
	color: black;
}

.element {
	padding: 10px;
}

.box h1 {
	font-size: 10px;
	text-transform: uppercase;
	margin: 0 0 0 20px;
	padding: 3px 0 0 25px;
	background-position: 3px 1px;
	background-repeat: no-repeat;
}

.box h1.close {
	font-size: 14px;
	text-transform: uppercase;
	margin: 0 20px 0 0;
	padding: 0 3px 2px 3px;
	float: right;
	color: white;
	font-weight: bold;
	cursor: pointer;
}

.box h1.close a, .box h1.close:hover {
	color: black;
}

/* Specific Titles */
h1.login {
	background-image: url(../img/Menu/tab_lock.png);
	width: 65px;
}

h1.signup {
	background-image: url(../img/Menu/tab_star.png);
	width: 65px;
}

h1.termsofusage {
	background-image: url(../img/Menu/tab_star.png);
	width: 115px;
}


h1.preferences {
	background-image: url(../img/Menu/tab_rotary.png);
	width: 95px;
}

h1.messagebox_w {
	background-image: url(../img/Menu/tab_mail_w.png);
	width: 85px;
}

h1.constructionbox_w {
	background-image: url(../img/Menu/tab_wrench_w.png);
	width: 85px;
}


/* Specific Boxes */


/* ## NAVI ## */

/* # Statusbar # */

#statusbar {
	float: left;
	font-size: 9px;
}

#statusbar a {
	color: black;
	padding: 0 1px 0 1px;
}

#statusbar a:hover {
	color: white;
	background-color: black;
}

/* # Navi Buttons # */

/* Basic Buttons */

#buttons {
	float: right;
	margin: -50px 20px 10px 20px;
	width: 250px;
}

#buttons .button {
	margin: 0 0 0 10px;
	border: 5px solid white;
}

.button {
	width: 50px;
	height: 50px;
	cursor: pointer;
}

.button, .button_small {
	background-position: left;
	display: block;
	text-decoration: none;
	float: right;
}

.button_small {
	width: 15px;
	height: 15px;
	cursor: pointer;
}

.button:hover, .button_small:hover {
	background-position: right;
}

.button_skull {background-image: url(../img/Interface/button_skull.png);}
.button_mail {background-image: url(../img/Interface/button_mail.png);}
.button_wrench {background-image: url(../img/Interface/button_wrench.png);}
.button_buildspot {background-image: url(../img/Interface/button_buildspot.png);}

/* Small Buttons */

.button_small_delete {background-image: url(../img/Interface/button_small_delete.png);}
.button_small_reply {background-image: url(../img/Interface/button_small_reply.png);}
.button_small_nextfleet {background-image: url(../img/Interface/button_small_nextfleet.png);}

/* Errorskull */

#errors {
	border: 5px solid black;
	background: #FF6600;
	font-family: "Courier New", Courier, monospace;
	font-size: 11px;
	padding: 10px;
	color: black;
	line-height: 20px;
	position: fixed;
	top: 5px;
	left: 5px;
	z-index: 99999;
	width: 95%;
	height: 90%;
	overflow: auto;
}

#errors h2 {
	margin: 0 0 15px 0;
}

#errors a {
	text-decoration: none;
	color: #FF6600;
	background: black;
	border: 2px solid black;
	margin: 20px auto;
	display: block;
	text-align: center;
	width: 150px;
}

#errors a:hover {
	background: #FF6600;
	color: black;
}

#errors ul {
}

/* ## Specific Page CSS ## */

/* Messagebox */

div#mailbox {
	padding: 15px 10px 15px 10px;
	margin: 0 15px 0 0;
	width: 395px;
	height: 390px;
	float: left;
	display: block;
	background: black;
	color: white;
}

div#mailbox table {
	width: 385px;
}

div#mailbox table tr {
}

div#mailbox table tr td {
	height: 25px;
}

div#mailbox table thead tr {
	color: black;
	background: white;
}

div#mailbox table tr td a.button_small {
	display: none !important;
}

div#mailbox table tr:hover td a.button_small {
	display: block !important;
}

.odd {
	background-color: #191919;
}

div#mailbox table tr td.from {
	text-align: left;
	width: 125px;
	padding: 0 0 0 10px;
}

div#mailbox table tr td.subject {
	text-align: left;
	width: 200px;
}

a.subject {
	color: white;
}

.th_button {
	width: 15px;
	padding: 0 0 0 10px;
	background-color: black !important;
}

div#read {
	width: auto;
}

div#compose {
	width: auto;
}

div#compose form textarea {
	width: 400px;
}

/* # Badges # */

img.badge {
	width: 50px;
	height: 50px;
	background: url(../img/Interface/badge_none.png) center center;
}

/* ## Fleets ## */

.fleet_infobox {
	position: absolute;
	height: 44px;
	width: 244px;
	background-color: black;
	z-index: 1010;
	display: block;
	border: 1px solid white;
	padding: 2px;
}

.fleet_icon {
	width: 15px;
	height: 15px;
}

.fleet_hull {background-image: url(../img/Interface/icon_fleet_hull.png);}
.fleet_beam {background-image: url(../img/Interface/icon_fleet_beam.png);}
.fleet_torpedo {background-image: url(../img/Interface/icon_fleet_torpedo.png);}
.fleet_invasion {background-image: url(../img/Interface/icon_fleet_invasion.png);}
.fleet_movement {background-image: url(../img/Interface/icon_fleet_movement.png);}




